Qwt User's Guide: QwtVectorFieldSymbol Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QwtVectorFieldSymbol Class Referenceabstract

`#include <qwt_vectorfield_symbol.h>`

Inheritance diagram for QwtVectorFieldSymbol:

## Public Member Functions
| QwtVectorFieldSymbol ()
| Constructor.
virtual | ~QwtVectorFieldSymbol ()
| Destructor.
virtual void | setLength (qreal length)=0
virtual qreal | length () const =0
virtual void | paint (QPainter *) const =0
| Draw the symbol/arrow.

## Detailed Description

Defines abstract interface for arrow drawing routines.

Arrow needs to be drawn horizontally with arrow tip at coordinate 0,0. arrowLength() shall return the entire length of the arrow (needed to translate the arrow for tail/centered alignment). setArrowLength() defines arror length in pixels (screen coordinates). It can be implemented to adjust other geometric properties such as the head size and width of the arrow. It is always called before paint().

A new arrow implementation can be set with QwtPlotVectorField::setArrowSymbol(), whereby ownership is transferred to the plot field.

Definition at line 32 of file qwt_vectorfield_symbol.h.

## Constructor & Destructor Documentation

## ◆ QwtVectorFieldSymbol()

QwtVectorFieldSymbol::QwtVectorFieldSymbol | ( |  | ) |

Constructor.

Definition at line 16 of file qwt_vectorfield_symbol.cpp.

## ◆ ~QwtVectorFieldSymbol()

QwtVectorFieldSymbol::~QwtVectorFieldSymbol | ( |  | ) |
| virtual

Destructor.

Definition at line 21 of file qwt_vectorfield_symbol.cpp.

## Member Function Documentation

## ◆ length()

virtual qreal QwtVectorFieldSymbol::length | ( |  | ) | const
| pure virtual

Returns
  length of the symbol/arrow

See also
  setLength()

Implemented in QwtVectorFieldArrow, and QwtVectorFieldThinArrow.

## ◆ paint()

virtual void QwtVectorFieldSymbol::paint | ( | QPainter * |  | ) | const
| pure virtual

Draw the symbol/arrow.

Implemented in QwtVectorFieldArrow, and QwtVectorFieldThinArrow.

## ◆ setLength()

virtual void QwtVectorFieldSymbol::setLength | ( | qreal | length | ) |
| pure virtual

Set the length of the symbol/arrow

See also
  length()

Implemented in QwtVectorFieldArrow, and QwtVectorFieldThinArrow.